Loading...
Searching...
No Matches
ConEdgeIt< GR > Class Template Reference
Tools and Utilities » Basic Graph Utilities

## Detailed Description

template<typename GR>
class lemon::ConEdgeIt< GR >

Iterator for iterating on parallel edges connecting the same nodes. It is a higher level interface for the findEdge() function. You can use it the following way:

for (ConEdgeIt<Graph> it(g, u, v); it != INVALID; ++it) {
...
}
lemon::INVALID
const Invalid INVALID
Invalid iterators.
Definition base.cc:32
lemon::ConEdgeIt::ConEdgeIt
ConEdgeIt(const GR &g, Node u, Node v)
Constructor.
Definition core.h:1811

See also
  findEdge()

`#include <lemon/core.h>`

## Public Member Functions

| ConEdgeIt (const GR &g, Node u, Node v)
| Constructor.
| ConEdgeIt (const GR &g, Edge e)
| Constructor.
ConEdgeIt & | operator++ ()
| Increment operator.

## Constructor & Destructor Documentation

## ConEdgeIt() [1/2]

template<typename GR>

ConEdgeIt | ( | const GR & | g,
|  | Node | u,
|  | Node | v )

inline

Construct a new ConEdgeIt iterating on the edges that connects nodes `u` and `v`.

## ConEdgeIt() [2/2]

template<typename GR>

ConEdgeIt | ( | const GR & | g,
|  | Edge | e )

inline

Construct a new ConEdgeIt that continues iterating from edge `e`.

## Member Function Documentation

## operator++()

template<typename GR>

ConEdgeIt & operator++ | ( |  | ) |

inline

It increments the iterator and gives back the next edge.